Bug 40964 - A tooltip for "Windows profile directory" would improve simplicity
A tooltip for "Windows profile directory" would improve simplicity
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Users
UCS 4.0
Other Linux
: P3 normal (vote)
: UCS 4.2-1-errata
Assigned To: Florian Best
Johannes Keiser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-30 17:41 CEST by Arvid Requate
Modified: 2017-07-05 13:06 CEST (History)
7 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 1: Nuisance – not a big deal but noticeable
User Pain: 0.023
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): External feedback, Typo/text changes, Usability
Max CVSS v3 score:
requate: Patch_Available+


Attachments
Patch with tooltips for user->account->windows attribute group (2.62 KB, patch)
2016-10-19 17:36 CEST, Julius Hinrichs
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2016-03-30 17:41:43 CEST
The "Windows profile directory" attribute in the account session of a user object in UMC currently doesn't provide a tooltip. Since the meaning and syntax of this value is not strictly obvious (see Bug #40963) the user would benefit from context information at this point. Proposal:


To configure a roaming profile the attribute needs to be set to a value that is resolvable by windows clients, for example to

  %LOGONSERVER%\%USERNAME%\windows-profiles\default
Comment 1 Jens Thorp-Hansen univentionstaff 2016-03-31 13:13:54 CEST
Again confusion at: Ticket#2016033121000215
Comment 2 Michael Grandjean univentionstaff 2016-03-31 13:21:53 CEST
Imho the whole attribute group should be improved with tooltips:

Account → Windows
* Windows home drive
* Windows home path
* Windows logon script (see Bug 40965)
* Windows profile directory
* ...
Comment 3 Julius Hinrichs univentionstaff 2016-10-19 17:36:05 CEST
Created attachment 8137 [details]
Patch with tooltips for user->account->windows attribute group

The descriptions are taken from http://docs.software-univention.de/manual-4.1.html#users::management_8
Comment 4 Florian Best univentionstaff 2017-06-29 17:08:05 CEST
I used the patch as base for the descriptions but added usability improvements (e.g. strike out unnecessary words and phrases). German translations have been added.

univention-directory-manager-modules (12.0.17-30):
r80645 | Bug #40964: add some more descriptions for users/user properties

univention-directory-manager-modules.yaml:
r80646 | YAML Bug #40964
Comment 5 Florian Best univentionstaff 2017-06-30 13:49:24 CEST
univention-directory-manager-modules (12.0.17-37):
r80676 | Bug #40964: improove wording
Comment 6 Johannes Keiser univentionstaff 2017-06-30 14:13:30 CEST
OK Tooltips are shown and wording is good

YAML: OK
-> verified
Comment 7 Janek Walkenhorst univentionstaff 2017-07-05 13:06:24 CEST
<http://errata.software-univention.de/ucs/4.2/79.html>